# Reference

## boost::redis::request::config::hello_with_priority

If this request has a `HELLO` command and this flag is `true`, it will be moved to the front of the queue of awaiting requests. This makes it possible to send `HELLO` commands and authenticate before other commands are sent.

### Synopsis

Declared in `<boost/redis/request.hpp>`

    bool hello_with_priority = true;

Created with MrDocs